<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{5125098D-5040-36F3-ABDF-3C115F192CE9}</ProjectGuid>
    <RootNamespace>frameless</RootNamespace>
    <Keyword>QtVS_v304</Keyword>
    <WindowsTargetPlatformVersion>10.0.19041.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformMinVersion>10.0.19041.0</WindowsTargetPlatformMinVersion>
  <QtMsBuild Condition="'$(QtMsBuild)'=='' or !Exists('$(QtMsBuild)\qt.targets')">$(MSBuildProjectDirectory)\QtMsBuild</QtMsBuild></PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <PlatformToolset>v142</PlatformToolset>
    <OutputDirectory>bin\</OutputDirectory>
    <ATLMinimizesCRunTimeLibraryUsage>false</ATLMinimizesCRunTimeLibraryUsage>
    <CharacterSet>NotSet</CharacterSet>
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <IntermediateDirectory>release\</IntermediateDirectory>
    <PrimaryOutput>frameless</PrimaryOutput>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <PlatformToolset>v142</PlatformToolset>
    <OutputDirectory>bin\</OutputDirectory>
    <ATLMinimizesCRunTimeLibraryUsage>false</ATLMinimizesCRunTimeLibraryUsage>
    <CharacterSet>NotSet</CharacterSet>
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <IntermediateDirectory>debug\</IntermediateDirectory>
    <PrimaryOutput>frameless</PrimaryOutput>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" /><Target Name="QtMsBuildNotFound" BeforeTargets="CustomBuild;ClCompile" Condition="!Exists('$(QtMsBuild)\qt.targets') or !Exists('$(QtMsBuild)\qt.props')"><Message Importance="High" Text="QtMsBuild: could not locate qt.targets, qt.props; project may not build correctly." /></Target>
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" /><ImportGroup Condition="Exists('$(QtMsBuild)\qt_defaults.props')"><Import Project="$(QtMsBuild)\qt_defaults.props" /></ImportGroup><PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'"><OutDir>bin\</OutDir><IntDir>debug\</IntDir><TargetName>frameless</TargetName><IgnoreImportLibrary>true</IgnoreImportLibrary></PropertyGroup><PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'"><OutDir>bin\</OutDir><IntDir>release\</IntDir><TargetName>frameless</TargetName><IgnoreImportLibrary>true</IgnoreImportLibrary><LinkIncremental>false</LinkIncremental></PropertyGroup><PropertyGroup Label="QtSettings" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'"><QtInstall>msvc2019_64</QtInstall><QtModules>core;gui;widgets</QtModules></PropertyGroup><PropertyGroup Label="QtSettings" Condition="'$(Configuration)|$(Platform)'=='Release|x64'"><QtInstall>msvc2019_64</QtInstall><QtModules>core;gui;widgets</QtModules></PropertyGroup><ImportGroup Condition="Exists('$(QtMsBuild)\qt.props')"><Import Project="$(QtMsBuild)\qt.props" /></ImportGroup>
  
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>.\GeneratedFiles\$(ConfigurationName);.\GeneratedFiles;.;release;/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalOptions>-Zc:rvalueCast -Zc:inline -Zc:strictStrings -Zc:throwingNew -Zc:referenceBinding -Zc:__cplusplus -w34100 -w34189 -w44996 -w44456 -w44457 -w44458 %(AdditionalOptions)</AdditionalOptions>
      <AssemblerListingLocation>release\</AssemblerListingLocation>
      <BrowseInformation>false</BrowseInformation>
      <DebugInformationFormat>None</DebugInformationFormat>
      <DisableSpecificWarnings>4577;4467;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <ExceptionHandling>Sync</ExceptionHandling>
      <ObjectFileName>release\</ObjectFileName>
      <Optimization>MaxSpeed</Optimization>
      <PreprocessorDefinitions>_WINDOWS;UNICODE;_UNICODE;WIN32;_ENABLE_EXTENDED_ALIGNED_STORAGE;WIN64;FRAMELESS_LIBRARY;QT_DEPRECATED_WARNINGS;NDEBUG;QT_NO_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PreprocessToFile>false</PreprocessToFile>
      <ProgramDataBaseFileName></ProgramDataBaseFileName>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <WarningLevel>Level3</WarningLevel>
    <MultiProcessorCompilation>true</MultiProcessorCompilation></ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <DataExecutionPrevention>true</DataExecutionPrevention>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <IgnoreImportLibrary>true</IgnoreImportLibrary>
      <LinkDLL>true</LinkDLL>
      <LinkIncremental>false</LinkIncremental>
      <OptimizeReferences>true</OptimizeReferences>
      <OutputFile>$(OutDir)\frameless.dll</OutputFile>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <SubSystem>Windows</SubSystem>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Link>
    <Midl>
      <DefaultCharType>Unsigned</DefaultCharType>
      <EnableErrorChecks>None</EnableErrorChecks>
      <WarningLevel>0</WarningLevel>
    </Midl>
    <ResourceCompile>
      <PreprocessorDefinitions>_WINDOWS;UNICODE;_UNICODE;WIN32;_ENABLE_EXTENDED_ALIGNED_STORAGE;WIN64;FRAMELESS_LIBRARY;QT_DEPRECATED_WARNINGS;NDEBUG;QT_NO_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  <QtMoc><CompilerFlavor>msvc</CompilerFlavor><Include>./$(Configuration)/moc_predefs.h</Include><ExecutionDescription>Moc'ing %(Identity)...</ExecutionDescription><DynamicSource>output</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>moc_%(Filename).cpp</QtMocFileName></QtMoc><QtRcc><InitFuncName>frameless</InitFuncName><Compression>default</Compression><ExecutionDescription>Rcc'ing %(Identity)...</ExecutionDescription><QtRccDir>$(Configuration)</QtRccDir><QtRccFileName>qrc_%(Filename).cpp</QtRccFileName></QtRcc></ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>.\GeneratedFiles\$(ConfigurationName);.\GeneratedFiles;.;debug;/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <AdditionalOptions>-Zc:rvalueCast -Zc:inline -Zc:strictStrings -Zc:throwingNew -Zc:referenceBinding -Zc:__cplusplus -w34100 -w34189 -w44996 -w44456 -w44457 -w44458 %(AdditionalOptions)</AdditionalOptions>
      <AssemblerListingLocation>debug\</AssemblerListingLocation>
      <BrowseInformation>false</BrowseInformation>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4577;4467;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <ExceptionHandling>Sync</ExceptionHandling>
      <ObjectFileName>debug\</ObjectFileName>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>_WINDOWS;UNICODE;_UNICODE;WIN32;_ENABLE_EXTENDED_ALIGNED_STORAGE;WIN64;FRAMELESS_LIBRARY;QT_DEPRECATED_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PreprocessToFile>false</PreprocessToFile>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <WarningLevel>Level3</WarningLevel>
    <MultiProcessorCompilation>true</MultiProcessorCompilation></ClCompile>
    <Link>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <DataExecutionPrevention>true</DataExecutionPrevention>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreImportLibrary>true</IgnoreImportLibrary>
      <LinkDLL>true</LinkDLL>
      <OutputFile>$(OutDir)\frameless.dll</OutputFile>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <SubSystem>Windows</SubSystem>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Link>
    <Midl>
      <DefaultCharType>Unsigned</DefaultCharType>
      <EnableErrorChecks>None</EnableErrorChecks>
      <WarningLevel>0</WarningLevel>
    </Midl>
    <ResourceCompile>
      <PreprocessorDefinitions>_WINDOWS;UNICODE;_UNICODE;WIN32;_ENABLE_EXTENDED_ALIGNED_STORAGE;WIN64;FRAMELESS_LIBRARY;QT_DEPRECATED_WARNINGS;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  <QtMoc><CompilerFlavor>msvc</CompilerFlavor><Include>./$(Configuration)/moc_predefs.h</Include><ExecutionDescription>Moc'ing %(Identity)...</ExecutionDescription><DynamicSource>output</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>moc_%(Filename).cpp</QtMocFileName></QtMoc><QtRcc><InitFuncName>frameless</InitFuncName><Compression>default</Compression><ExecutionDescription>Rcc'ing %(Identity)...</ExecutionDescription><QtRccDir>$(Configuration)</QtRccDir><QtRccFileName>qrc_%(Filename).cpp</QtRccFileName></QtRcc></ItemDefinitionGroup>
  <ItemGroup>
    
    
    
    <ClCompile Include="fancybutton.cpp" />
    <ClCompile Include="fancycursor.cpp" />
    <ClCompile Include="fancydialog.cpp" />
    <ClCompile Include="fancymode.cpp" />
    
    
    
    <ClCompile Include="fancynavbutton.cpp" />
    <ClCompile Include="fancypopupwidget.cpp" />
    
    
    <ClCompile Include="fancyribboncontainers.cpp" />
    
    
    <ClCompile Include="fancyscreen.cpp" />
    <ClCompile Include="fancytab.cpp" />
    
    <ClCompile Include="fancytabwidget.cpp" />
    
    <ClCompile Include="fancywindow.cpp" />
    <ClCompile Include="frameless.cpp" />
    <ClCompile Include="frameless_p.cpp" />
    <ClCompile Include="minicentralarea.cpp" />
    <ClCompile Include="minisplitter.cpp" />
    
    <ClCompile Include="skinitem.cpp" />
    
  </ItemGroup>
  <ItemGroup>
    <QtMoc Include="fancyapplicationwidget.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancybanner.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancybar.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancybutton.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <ClInclude Include="fancycursor.h" />
    <QtMoc Include="fancydialog.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancymode.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancymodebar.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancymodemanager.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancynavbar.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancynavbutton.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancypopupwidget.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancyquickaccessbar.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancyribbon.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancyribboncontainers.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancyribbongroup.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancyribbonpage.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <ClInclude Include="fancyscreen.h" />
    <QtMoc Include="fancytab.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancytabbar.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancytabwidget.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancytitlebar.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="fancywindow.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <ClInclude Include="frameless.h" />
    <ClInclude Include="frameless_global.h" />
    <ClInclude Include="frameless_p.h" />
    <QtMoc Include="minicentralarea.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="minisplitter.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="ministack.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="skinitem.h">
      
      
      
      
      
      
      
      
    </QtMoc>
    <QtMoc Include="tinytabwidget.h">
      
      
      
      
      
      
      
      
    </QtMoc>
  </ItemGroup>
  <ItemGroup>
    <QtMoc Include="fancyapplicationwidget.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancybanner.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancybar.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancymodebar.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancymodemanager.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancynavbar.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancyquickaccessbar.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancyribbon.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancyribbongroup.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancyribbonpage.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancytabbar.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="fancytitlebar.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    <QtMoc Include="ministack.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <CustomBuild Include="debug\moc_predefs.h.cbt">
      <FileType>Document</FileType>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
      <AdditionalInputs Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(QTDIR)\mkspecs\features\data\dummy.cpp;%(AdditionalInputs)</AdditionalInputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">cl -Bx"$(QTDIR)\bin\qmake.exe" -nologo -Zc:wchar_t -FS -Zc:rvalueCast -Zc:inline -Zc:strictStrings -Zc:throwingNew -Zc:referenceBinding -Zc:__cplusplus -Zi -MDd -W3 -w34100 -w34189 -w44996 -w44456 -w44457 -w44458 -wd4577 -wd4467 -E $(QTDIR)\mkspecs\features\data\dummy.cpp 2&gt;NUL &gt;debug\moc_predefs.h</Command>
      <Message Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Generate moc_predefs.h</Message>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">debug\moc_predefs.h;%(Outputs)</Outputs>
    </CustomBuild>
    <CustomBuild Include="release\moc_predefs.h.cbt">
      <FileType>Document</FileType>
      <AdditionalInputs Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(QTDIR)\mkspecs\features\data\dummy.cpp;%(AdditionalInputs)</AdditionalInputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|x64'">cl -Bx"$(QTDIR)\bin\qmake.exe" -nologo -Zc:wchar_t -FS -Zc:rvalueCast -Zc:inline -Zc:strictStrings -Zc:throwingNew -Zc:referenceBinding -Zc:__cplusplus -O2 -MD -W3 -w34100 -w34189 -w44996 -w44456 -w44457 -w44458 -wd4577 -wd4467 -E $(QTDIR)\mkspecs\features\data\dummy.cpp 2&gt;NUL &gt;release\moc_predefs.h</Command>
      <Message Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Generate moc_predefs.h</Message>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|x64'">release\moc_predefs.h;%(Outputs)</Outputs>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
    </CustomBuild>
    
    
    
    
    
    
    <QtMoc Include="tinytabwidget.cpp"><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource><DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource><QtMocDir>$(Configuration)</QtMocDir><QtMocFileName>%(Filename).moc</QtMocFileName></QtMoc>
    
  </ItemGroup>
  <ItemGroup>
    <None Include="resource\qm\frameless_zh_CN.ts" />
  </ItemGroup>
  <ItemGroup>
    <None Include="resource\main\1.jpg" />
    <None Include="resource\main\arrow.png" />
    <None Include="resource\tools\arrow_down.png" />
    <None Include="resource\tools\arrow_left.png" />
    <None Include="resource\tools\arrow_right.png" />
    <None Include="resource\tools\arrow_up.png" />
    <None Include="resource\main\close.png" />
    <None Include="resource\tools\close.png" />
    <None Include="resource\main\close2.png" />
    <None Include="resource\skin\default.jpg" />
    <QtRcc Include="frameless.qrc">
      
      
      
      
      
      
      
      
      
    </QtRcc>
    <None Include="resource\main\hide.png" />
    <None Include="resource\main\max.png" />
    <None Include="resource\main\max2.png" />
    <None Include="resource\tools\menu.png" />
    <None Include="resource\main\min.png" />
    <None Include="resource\main\min2.png" />
    <None Include="resource\ribbon\option.png" />
    <None Include="resource\main\restore.png" />
    <None Include="resource\main\restore2.png" />
    <None Include="resource\tools\setup.png" />
    <None Include="resource\main\show.png" />
    <None Include="resource\tools\sidebar.png" />
    <None Include="resource\skin\state_ok.png" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" /><ImportGroup Condition="Exists('$(QtMsBuild)\qt.targets')"><Import Project="$(QtMsBuild)\qt.targets" /></ImportGroup>
  <ImportGroup Label="ExtensionTargets" />
</Project>